
#ifndef _AI_TEAM_H
#define _AI_TEAM_H

#include "swarm_module.h"

class AITeam{
 public:
	~AITeam(){}
	AITeam(){}
	std::vector<WorldEntity*>* getEnemyList();
	void process(float dt);
	void addAI(int swarmNumber, WorldEntity* npc, float maxSpeed, float attackDistance);
	void removeAI(int swarmNumber, WorldEntity* npc);
	inline int getTeamSize(){ return swarms.size(); }
	inline void setEnemyList(std::vector<WorldEntity*>* enemyList){this->enemyList=enemyList;}
 private:
	std::vector<WorldEntity*>* enemyList;
	std::map<int,SwarmModule*> swarms;
	void changeSwarmModule(std::map<int,SwarmModule*>::iterator it,SwarmModule* newAI);
};

#endif /* _AI_TEAM_H */
